Subject: Re: [PATCH v1 1/3] mm/powerpc/book3s64/radix: Remove unused code.

From: Michael Ellerman <[email-masked]>
Date: Thu, 14 Nov 2019 20:07:59 +1100 (AEDT)

On Thu, 2019-10-24 at 07:57:59 UTC, "Aneesh Kumar K.V" wrote:
> mm_tlb_flush_nested change was added in the mmu gather tlb flush to handle
> the case of parallel pte invalidate happening with mmap_sem held in read
> mode. This fix was done by commit: 02390f66bd23 ("powerpc/64s/radix: Fix
> MADV_[FREE|DONTNEED] TLB flush miss problem with THP") and the problem is
> explained in detail in commit: 99baac21e458 ("mm: fix MADV_[FREE|DONTNEED] TLB
> flush miss problem")
> 
> This was later updated by commit: 7a30df49f63a ("mm: mmu_gather: remove
> __tlb_reset_range() for force flush") to do a full mm flush rather than
> a range flush. By commit: dd2283f2605e ("mm: mmap: zap pages with read mmap_sem
> in munmap") we are also now allowing a page table free in mmap_sem read mode
> which means we should do a PWC flush too. Our current full mm flush imply
> a PWC flush.
> 
> With all the above change the mm_tlb_flush_nested(mm) branch in radix__tlb_flush
> will never be taken because for the nested case we would have taken the
> if (tlb->fullmm) branch. This patch removes the unused code. Also, remove the
> gflush change in __radix__flush_tlb_range that was added to handle the range tlb
> flush code. We only check for THP there because hugetlb is flushed via a
> different code path where page size is explicitly specified
> 
> This is a partial revert of commit: 02390f66bd23 ("powerpc/64s/radix: Fix
> MADV_[FREE|DONTNEED] TLB flush miss problem with THP")
> 
> Signed-off-by: Aneesh Kumar K.V <[email-masked]>

Series applied to powerpc next, thanks.

https://git.kernel.org/powerpc/c/a42d6ba8c5be5aa597d25dbc15e336a2eca40260

cheers